List Agent Registry
curl --request GET \
--url https://api.example.com/api/v1/agents/registry \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/agents/registry"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/agents/registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Composable Agents
List Agent Registry
List all agents in the unified registry.
Supports filtering by hireability, composability, category, and source. Used by the canvas Agent Browser Palette and the /hire page.
GET
/
api
/
v1
/
agents
/
registry
List Agent Registry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter to individually hireable agents
Filter to composable agents
Filter by category tag
Filter by source type
Response
Successful Response
The response is of type Response List Agent Registry Api V1 Agents Registry Get · object.
Was this page helpful?